Bug 14899 - winbindd doesn't start when "allow trusted domains" is off
Summary: winbindd doesn't start when "allow trusted domains" is off
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind (show other bugs)
Version: 4.13.14
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-09 22:07 UTC by Andrew Walker
Modified: 2021-11-17 07:50 UTC (History)
4 users (show)

See Also:


Attachments
Patch for v4-15-test (1.40 KB, patch)
2021-11-10 12:13 UTC, Stefan Metzmacher
asn: review+
Details
Patch for v4-14-test (1.40 KB, patch)
2021-11-10 12:14 UTC, Stefan Metzmacher
asn: review+
Details
Patch for v4-13-test (1.40 KB, patch)
2021-11-10 12:14 UTC, Stefan Metzmacher
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Walker 2021-11-09 22:07:59 UTC
observed during testing Samba 4.13.14 patches:

[2021/11/09 08:24:06.566476,  8, pid=5130, effective(0, 0), real(0, 0)] ../../source3/lib/util.c:1132(is_myname)
  is_myname("BUILTIN") returns 0
[2021/11/09 08:24:06.566658,  3, pid=5130, effective(0, 0), real(0, 0)] ../../source3/lib/util_names.c:215(is_allowed_domain)
  is_allowed_domain: Not trusted domain 'BUILTIN'
[2021/11/09 08:24:06.566853,  0, pid=5130, effective(0, 0), real(0, 0), class=winbind] ../../source3/winbindd/winbindd_util.c:1141(init_domain_list)
  init_domain_list: add_trusted_domain BUILTIN returned NT_STATUS_NO_SUCH_DOMAIN
[2021/11/09 08:24:06.567037,  0, pid=5130, effective(0, 0), real(0, 0), class=winbind] ../../source3/winbindd/winbindd.c:1458(winbindd_register_handlers)
  unable to initialize domain list
Comment 2 Samba QA Contact 2021-11-10 11:31:36 UTC
This bug was referenced in samba master:

a7f6c60cb037b4bc9eee276236539b8282213935
Comment 3 Stefan Metzmacher 2021-11-10 12:13:29 UTC
Created attachment 16984 [details]
Patch for v4-15-test
Comment 4 Stefan Metzmacher 2021-11-10 12:14:06 UTC
Created attachment 16985 [details]
Patch for v4-14-test
Comment 5 Stefan Metzmacher 2021-11-10 12:14:51 UTC
Created attachment 16986 [details]
Patch for v4-13-test
Comment 6 Louis 2021-11-10 12:28:27 UTC
Small question guys. 

is the other 4.13 patch also needed (from Andrew Walker) or is this one the only one to add. 

im asking it because, I took this one yesterday already and added in my builds already. 

i looked in metze his source of these i didnt see the patch of Andrew Walker in it. 

if someone can confirm it that.. 
1) Andrew Walker patch isnt needed. 
2) this is the only one to add. 

Then im sure im good to go release some packages. 
Thanks for all the hard work guys.
Comment 7 Andrew Walker 2021-11-10 12:31:35 UTC
(In reply to Louis from comment #6)

My patch is not needed if you apply Metze's one. This patch by itself is sufficient to resolve the issue with winbindd not starting when trusted domains are disabled.
Comment 8 Louis 2021-11-10 12:33:54 UTC
(In reply to Andrew Walker from comment #7)
Thank you Andrew for the very fast reply. 

I'll go send out the mail to the samba list. 

THANKS !
Comment 9 Stefan Metzmacher 2021-11-10 22:33:20 UTC
Pushed to autobuild-v4-{13,14,15}-test
Comment 10 Samba QA Contact 2021-11-10 23:46:05 UTC
This bug was referenced in samba v4-14-test:

5b1d789632fe67708e64ab9fc4f5b10408699682
Comment 11 Samba QA Contact 2021-11-11 00:01:58 UTC
This bug was referenced in samba v4-15-test:

db4e342291f86c05fd548161c8c6b2c50e41f533
Comment 12 Samba QA Contact 2021-11-11 10:38:03 UTC
This bug was referenced in samba v4-13-test:

b7158d4ce853f3ce4342ff9756490104ad163b9c
Comment 13 Jule Anger 2021-11-17 07:50:38 UTC
Closing out bug report.

Thanks!